Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® Application Server XML Java API Reference 10g Release 2 (10.1.2) Part no. B12024-03 September 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.xml.async
Class DOMBuilderErrorEvent

    java.lang.Object
      |
      +--java.util.EventObject
            |
            +--oracle.xml.async.DOMBuilderErrorEvent

All Implemented Interfaces:
  java.io.Serializable

public class DOMBuilderErrorEvent
extends java.util.EventObject

This class defines the error event which is sent when parse exception occurs.

See Also:
  Serialized Form

Field Summary
`protected java.lang.Exception` | `e` The exception being raised.

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`DOMBuilderErrorEvent(java.lang.Object p0, java.lang.Exception e)` Constructor for DOMBuilderErrorEvent.

Method Summary
`java.lang.Exception` | `getException()` Gets the Exception
`java.lang.String` | `getMessage()` Returns the error message generated by the parser

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### e

    protected java.lang.Exception e

  The exception being raised.

Constructor Detail

### DOMBuilderErrorEvent

    public DOMBuilderErrorEvent(java.lang.Object p0,
                                java.lang.Exception e)

  Constructor for DOMBuilderErrorEvent.
Parameters:
  `p0` - The `Object` that created this event.
  `e` - The `Exception` raised.

Method Detail

### getMessage

    public java.lang.String getMessage()

  Returns the error message generated by the parser
  Returns:
    The error message string

### getException

    public java.lang.Exception getException()

  Gets the Exception
  Returns:
    The Exception beind raised

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® Application Server XML Java API Reference 10g Release 2 (10.1.2) Part no. B12024-03 September 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003, 2004, Oracle. All rights reserved.